skipNext(3)

NAME
skipNext - find next item.

SYNOPSIS
#include <util/skiplist.h> void *skipNext(skipList list, UINT32 *pkey, void **plock);

ARGUMENTS
list - list to search in.
pkey - pointer to previous key (0 to start).
plock - place for value lock (or NULL).

DESCRIPTION
Searches in list <list> for item with key next larger that the one in <pkey>, and returns its value if found, or NULL if not. If <plock> is non-NULL, then the lock returned in <plock> will be associated with the returned value. Until this lock is passed to skipRelease(), the value will not be freed with the freeValue callback (see skipNewList()). MT-Level: Safe if <list> thread-safe.

RETURN VALUE
pkey - set to new key.
plock - set to value lock.

SEE ALSO
skipDelete(3), skipFreeList(3), skipRelease(3), skipInsert(3), skipSearch(3), skipNext(3), skipNewList